<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui" 
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <body>
        <ui:component>
            <p:dialog
                id="AnexarU"
                header="Anexar Folio"
                widgetVar="AnexarActivo"
                modal="true"
                resizable="false"
                closable="true"
                width="800" >
                <h:panelGroup id="detalleAnexar">
                    <h:form id="anexar">
                        <h:panelGrid columns="2" columnClasses="label, value">
                            <h:outputLabel for="fecha" value="Fecha: " style="font-weight: bold"/>
                            <p:inputText value="#{folioMB.fecha}" readonly="true"/>
                            <h:outputLabel for="productor" value="* Productor: " style="font-weight: bold"/>
                            <p:selectOneMenu id="perfil"  value="#{folioMB.id_productor}"
                                            filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                            required="true" requiredMessage="La clave es requerida" style="width: 350px">
                               <f:selectItem itemLabel="Selecciona una opción"  />
                               <f:selectItems value="#{folioMB.productores}"
                               var="registrop"
                               itemLabel="#{registrop.nombre}"
                               itemValue="#{registrop.id}"/>
                            </p:selectOneMenu> 
                            <h:outputText value="* Peso Bruto: " />
                            <p:inputText  id="input1" value="#{folioMB.peso_bruto}" required="true"  label="Peso Bruto es requeridó"/>
                                <h:outputText value="Peso Tara: " />
                            <p:inputText id="input2" value="#{folioMB.peso_tara}" />                            
                            <h:outputText value="Peso Neto: " />
                            <p:inputText value="#{folioMB.peso_neto}"  id="output1"  readonly="true"/>
                            <p:commandButton 
                                value="Alta" 
                                style="font-size:  100%"
                                icon="ui-icon-contact"
                                action="#{folioMB.anexarActivo(folioMB.id_productor,
                                          folioMB.peso_bruto,folioMB.peso_tara,folioMB.peso_neto)}">  
                            </p:commandButton>
                            <p:commandButton
                                value="Cerrar"
                                type="button"
                                icon="ui-icon-circle-close"
                                style="font-size:  100%" 
                                onclick="PF('AnexarActivo').hide();">
                            </p:commandButton>
                        </h:panelGrid>
                        <h:outputText value="* Campos requeridos" />
                    </h:form>
                </h:panelGroup>
            </p:dialog>
        </ui:component>
    </body>
</html>
